# List workflows

Endpoint: GET /api/workflows
Version: 1.0
Security: ApiKeyAuth

## Query parameters:

  - `last_id` (integer)
    pagination. return workflows which id are greater than last_id with order 'asc', which id are less than the last_id with order 'desc'

  - `count` (integer)
    number of workflows to return

  - `order` (string)
    Sort order. 'asc' or 'desc'

  - `name_pattern` (string)
    name pattern to be partially matched

  - `search_project_name` (boolean)
    name pattern to be partially matched

## Response 200 fields (application/json):

  - `workflows` (array)

  - `workflows.config` (object)

  - `workflows.id` (string, required)
    workflow definition ID
    Example: "123456"

  - `workflows.name` (string, required)
    workflow name
    Example: "wf-123"

  - `workflows.project` (object, required)
    Name and ID

  - `workflows.project.id` (string, required)
    ID
    Example: "123456"

  - `workflows.project.name` (string, required)
    name
    Example: "abcdefg"

  - `workflows.revision` (string, required)
    revision

  - `workflows.timezone` (string, required)
    timezone
    Example: "UTC"


